KNIME 3.7.1 is not running on Ubuntu 16.04 64 bit

After extracting KNIME, when try to execute, get the following message:
“The Knime executable launcher was unable to locate its companion shared library”"
tried several time with same result.

Could you advice please.

Thanks

Could you download freshly into a new directory, and do the cksum on what you’ve downloaded, before running it. It should match the cksum here:

loki@knime-mint ~ $ mkdir totally_new
loki@knime-mint ~ $ cd !$
cd totally_new
loki@knime-mint ~/totally_new $ wget https://download.knime.org/analytics-platform/linux/knime-latest-linux.gtk.x86_64.tar.gz
--2019-02-24 21:27:33--  https://download.knime.org/analytics-platform/linux/knime-latest-linux.gtk.x86_64.tar.gz
Resolving download.knime.org (download.knime.org)... 99.84.74.65, 99.84.74.47, 99.84.74.79, ...
Connecting to download.knime.org (download.knime.org)|99.84.74.65|:443... connected.
HTTP request sent, awaiting response... 302 Moved Temporarily
Location: https://download.knime.org/analytics-platform/linux/knime_3.7.1.linux.gtk.x86_64.tar.gz [following]
--2019-02-24 21:27:34--  https://download.knime.org/analytics-platform/linux/knime_3.7.1.linux.gtk.x86_64.tar.gz
Reusing existing connection to download.knime.org:443.
HTTP request sent, awaiting response... 200 OK
Length: 581076007 (554M) [application/x-gzip]
Saving to: ‘knime-latest-linux.gtk.x86_64.tar.gz’

knime-latest-linux.gtk.x86_64.tar.gz             100%[=========================================================================================================>] 554.16M  15.6MB/s    in 37s     

2019-02-24 21:28:12 (15.0 MB/s) - ‘knime-latest-linux.gtk.x86_64.tar.gz’ saved [581076007/581076007]

loki@knime-mint ~/totally_new $ cksum knime-latest-linux.gtk.x86_64.tar.gz 
429083110 581076007 knime-latest-linux.gtk.x86_64.tar.gz
loki@knime-mint ~/totally_new $ tar xzf knime-latest-linux.gtk.x86_64.tar.gz 
loki@knime-mint ~/totally_new $ cd knime_3.7.1/
loki@knime-mint ~/totally_new/knime_3.7.1 $ ./knime 
CompilerOracle: exclude javax/swing/text/GlyphView.getBreakSpot
Feb 24, 2019 9:28:45 PM org.apache.cxf.bus.osgi.CXFExtensionBundleListener addExtensions
INFO: Adding the extensions from bundle org.apache.cxf.cxf-rt-transports-http (122) [org.apache.cxf.transport.http.HTTPTransportFactory, org.apache.cxf.transport.http.HTTPWSDLExtensionLoader, org.apache.cxf.transport.http.policy.HTTPClientAssertionBuilder, org.apache.cxf.transport.http.policy.HTTPServerAssertionBuilder, org.apache.cxf.transport.http.policy.NoOpPolicyInterceptorProvider]
Feb 24, 2019 9:29:09 PM org.apache.cxf.bus.osgi.CXFExtensionBundleListener unregister
INFO: Removing the extensions for bundle 122
WARN 	 KNIME-Worker-0 BugfixMessageInjector	 Could not modify intro page: null
loki@knime-mint ~/totally_new/knime_3.7.1 $ 

Hi,
The checksum is identical,
Could you please validate the installation of v3.7.1 on Ubuntu 16.04?

Thanks

Yes, this works fine for me :- /

loki@pere-ubu:~$ lsb_release -a
No LSB modules are available.
Distributor ID:	Ubuntu
Description:	Ubuntu 16.04.6 LTS
Release:	16.04
Codename:	xenial
loki@pere-ubu:~$ mkdir totally_temp
loki@pere-ubu:~$ cd !$
cd totally_temp
loki@pere-ubu:~/totally_temp$ wget https://download.knime.org/analytics-platform/linux/knime-latest-linux.gtk.x86_64.tar.gz
--2019-02-25 08:22:38--  https://download.knime.org/analytics-platform/linux/knime-latest-linux.gtk.x86_64.tar.gz
Resolving download.knime.org (download.knime.org)... 13.33.151.167, 13.33.151.141, 13.33.151.144, ...
Connecting to download.knime.org (download.knime.org)|13.33.151.167|:443... connected.
HTTP request sent, awaiting response... 302 Moved Temporarily
Location: https://download.knime.org/analytics-platform/linux/knime_3.7.1.linux.gtk.x86_64.tar.gz [following]
--2019-02-25 08:22:39--  https://download.knime.org/analytics-platform/linux/knime_3.7.1.linux.gtk.x86_64.tar.gz
Reusing existing connection to download.knime.org:443.
HTTP request sent, awaiting response... 200 OK
Length: 581076007 (554M) [application/x-gzip]
Saving to: ‘knime-latest-linux.gtk.x86_64.tar.gz’

knime-latest-linux.gtk.x86_64.ta 100%[==========================================================>] 554.16M  46.1MB/s    in 12s     

2019-02-25 08:22:51 (45.4 MB/s) - ‘knime-latest-linux.gtk.x86_64.tar.gz’ saved [581076007/581076007]

loki@pere-ubu:~/totally_temp$ cksum knime-latest-linux.gtk.x86_64.tar.gz 
429083110 581076007 knime-latest-linux.gtk.x86_64.tar.gz
loki@pere-ubu:~/totally_temp$ tar xzf knime-latest-linux.gtk.x86_64.tar.gz 
loki@pere-ubu:~/totally_temp$ cd knime_3.7.1/
loki@pere-ubu:~/totally_temp/knime_3.7.1$ ./knime 
CompilerOracle: exclude javax/swing/text/GlyphView.getBreakSpot
Feb 25, 2019 8:23:31 AM org.apache.cxf.bus.osgi.CXFExtensionBundleListener addExtensions
INFO: Adding the extensions from bundle org.apache.cxf.cxf-rt-transports-http (122) [org.apache.cxf.transport.http.HTTPTransportFactory, org.apache.cxf.transport.http.HTTPWSDLExtensionLoader, org.apache.cxf.transport.http.policy.HTTPClientAssertionBuilder, org.apache.cxf.transport.http.policy.HTTPServerAssertionBuilder, org.apache.cxf.transport.http.policy.NoOpPolicyInterceptorProvider]
WARN 	 Worker-3 WorkflowCoachView	 Could not update node recommendations statistics.
Feb 25, 2019 8:23:59 AM org.apache.cxf.bus.osgi.CXFExtensionBundleListener unregister
INFO: Removing the extensions for bundle 122
loki@pere-ubu:~/totally_temp/knime_3.7.1$ 
1 Like

SOLVED,
The problem was caused because knime.ini file of older version were used, that referred to wrong jars

2 Likes

Do you mean that the knime.ini that was in the tar which you downloaded and unpacked was for an older version of KNIME and referred to wrong jars, or do you mean you copied in a knime.ini from somewhere else to the unpacked tar directory?